Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
Parámetros de encabezado
Foundry-Features
enum
requerido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parámetros de la ruta de acceso
name
string
requerido
The name of the memory store.
memory_id
string
requerido
The ID of the memory item to update.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Cuerpo de la solicitud
content
string
requerido
The updated content of the memory.
Respuestas
The request has succeeded.
Cuerpo
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
requerido
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
requerido
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
requerido
The kind of the memory item.
Solicitar
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json